Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 0.6SynchronousAuth Required

CreateL2VxlanNetworkPool

CreateL2VxlanNetworkPool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeString

      Optional. The type.

    • resourceUuidString

      Optional. The resource UUID.

    • vSwitchTypeString

      Optional. The type of the vSwitch.

    • tagUuidList

      Optional. The Uuid tags list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2VxlanNetworkPoolInventoryRequired

    See inventory.

    • attachedCidrsMapRequired

      No description provided.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

    • attachedVtepRefsListRequired

      See attachedVtepRefs.

      • uuidStringRequired

        The resource UUID.

      • hostUuidStringRequired

        The host UUID.

      • vtepIpStringRequired

        No description provided.

      • portIntegerRequired

        端口号。

      • typeStringRequired

        类型。

      • createDateTimestampRequired

        The creation date.

      • LastOpDateTimestampRequired

        The last operation date.

      • poolUuidStringRequired

        池UUID。

    • attachedVxlanNetworkRefsListRequired

      See attachedVxlanNetworkRefs.

      • vniIntegerRequired

        No description provided.

      • poolUuidStringRequired

        池UUID。

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • zoneUuidStringRequired

        The zone UUID.

      • physicalInterfaceStringRequired

        No description provided.

      • typeStringRequired

        类型。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • attachedClusterUuidsListRequired

        附加集群UUID。

    • attachedVniRangesListRequired

      See attachedVniRanges.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startVniIntegerRequired

        No description provided.

      • endVniIntegerRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • l2NetworkUuidStringRequired

        The L2 network UUID.

Endpoint

POST/zstack/v1/l2-networks/vxlan-pool

/zstack/v1/l2-networks/vxlan-pool

Operation ID

CreateL2VxlanNetworkPool

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/vxlan-pool' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","physicalInterface":"<physicalInterface>","type":"<type>","resourceUuid":"<resourceUuid>","vSwitchType":"<vSwitchType>","tagUuid":["<tagUuid>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Test-NetPool", "description": "Test", "zoneUuid": "3f35bd50dab14ababe3d85736b63aba7", "type": "L2VxlanNetwork" } }

Change History

This API has no change history records yet.

View all change history